#include "keyval.h"

keyval* kvalCreate(char* key, char* val)
{
	keyval* ret;

	assert(key != NULL);
	assert(val != NULL);

	ret = (keyval*)smalloc(sizeof(keyval));
	ret->key = (char*)scalloc(strlen(key)+1, sizeof(char));
	ret->val = (char*)scalloc(strlen(val)+1, sizeof(char));
	strcpy(ret->key, key);
	strcpy(ret->val, val);
	return ret;
}

void kvalDestroy(keyval* restrict kv)
{
	assert(kv != NULL);
	sfree(kv);
}
