/* For NULL */
#include <stdlib.h>

/* For strlen() */
#include <string.h>

/* s-alloc functions */
#include "shared.h"

#ifndef KEYVAL_H
#define KEYVAL_H

/**
 * Struct for holding a key and value
*/
typedef struct keyVal {
	char* key;
	char* val;
} keyval;

keyval* kvalCreate(char* key, char* val) __attribute__((malloc,nonnull));

void kvalDestroy(keyval* restrict kval) __attribute__((nonnull));

#endif /* KEYVAL_H */
