#include <SDL/SDL.h>
#include <SDL/SDL_thread.h>
#include <SDL/SDL_net.h>
#include "SDL/SDL_image.h"
#include "networking.h"
#include "clients.h"
#include "shared.h"

/* For open() */
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

/* Key-value stuff */
#include "keyval.h"
#include "kvlist.h"

/* For reading config files */
#include "config.h"

/* For dup2 */
#include "unistd.h"

/* For serverphysics() */
#include "serverphysics.h"

/* For serverAccept() */
#include "servernet.h"

/* For map loading and such. */
#include "map.h"

#ifndef SERVER_H
#define SERVER_H

/* Main() return codes */
#define SDLINITFAIL 1
#define SDLNETINITFAIL 2

#define SERVERCONFIGNAME "server.conf"
#define MAPFILE "maps/level1.map\0"
#define MESHFILE "maps/level1.mesh\0"

int main(int argc, char** argv);

#endif /* SERVER_H */
