#include "shared.h"

inline void* smalloc(size_t size)
{
	void* ret;
	ret = malloc(size);
	assert(ret != NULL);
	return ret;
}

inline void* scalloc(size_t nelem, size_t size)
{
	void* ret;
	ret = calloc(nelem, size);
	assert(ret != NULL);
	return ret;
}

inline void sfree(void* restrict ptr)
{
	assert(ptr != NULL);
	free(ptr);
}
